Bug 135712 - Switching to an Exchange Inbox causes Evolution to Crash
Switching to an Exchange Inbox causes Evolution to Crash
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution-connector (Show other bugs)
3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-14 12:25 EDT by Bevis King
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 10:19:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bevis King 2004-10-14 12:25:41 EDT
Distribution: Fedora Core release 2.92 (FC3 Test 3)
Package: Connector
Priority: Major
Version: GNOME2.8.0 2.0.1
Gnome-Distributor: Red Hat, Inc
Synopsis: Switching to an Exchange Inbox causes Evolution to Crash
Bugzilla-Product: Connector
Bugzilla-Component: Connector
Bugzilla-Version: 2.0.1
BugBuddy-GnomeVersion: 2.0 (2.8.0)
Description:
Description of the crash:
Clicking on the inbox folder of the Exchange mailbox causes evolution
and connector to crash.

This is with Evolution 2.0.1 and matching connector - as shipped in
Fedora Core 3 test 3 for x86_64 machines.  In this case running on a Sun
w2100z (Dual Opteron 246 machine with 2GB RAM).

There are two mailboxes configured - one is IMAP/S, the other is
Microsoft Exchange 2003.  When started, evolution scans all folders for
new mail - Personal Folders -> Inbox on the Exchange mail account shows
Inbox (2).  Clicking on it to show the message index immediately causes
the crash.

NB: This bug has already been submitted to the Evolution team care of
Ximian's Bugzilla - the Bug Reference number there is 68358.

Steps to reproduce the crash:
1. Start evolution
2. Click on exchange inbox to see index of messages
3. Crashes

Expected Results:
See the message index for the Exchange Mail account Inbox.

How often does this happen?
All the time.

Additional Information:
Standard build as supplied on Fedora Core 3 test 3 for x86_64 which I've
just installed.


Debugging Information:

Backtrace was generated from './evolution'

(no debugging symbols found)...Using host libthread_db library
"/lib64/tls/libthread_db.so.1".
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...[Thread debugging using libthread_db enabled]
[New Thread 182894220096 (LWP 3553)]
[New Thread 1136654688 (LWP 3574)]
[Thread debugging using libthread_db enabled]
[New Thread 182894220096 (LWP 3553)]
[New Thread 1136654688 (LWP 3574)]
[Thread debugging using libthread_db enabled]
[New Thread 182894220096 (LWP 3553)]
[New Thread 1136654688 (LWP 3574)]
[New Thread 1094711648 (LWP 3571)]
[New Thread 1126168928 (LWP 3564)]
[New Thread 1115683168 (LWP 3562)]
[New Thread 1105197408 (LWP 3561)]
[New Thread 1084225888 (LWP 3559)]
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...0x00000030f680bf7a in waitpid () from
/lib64/tls/libpthread.so.0
#0  0x00000030f680bf7a in waitpid () from /lib64/tls/libpthread.so.0
#1  0x00000030fa658c14 in libgnomeui_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
#2  <signal handler called>
#3  0x00000030f55ba222 in poll () from /lib64/tls/libc.so.6
#4  0x00000030f62280ee in g_main_context_acquire ()
   from /usr/lib64/libglib-2.0.so.0
#5  0x00000030f62285f5 in g_main_loop_run () from
/usr/lib64/libglib-2.0.so.0
#6  0x00000030fc32da7b in bonobo_main () from
/usr/lib64/libbonobo-2.so.0
#7  0x000000000041c1ab in main ()

Thread 7 (Thread 1084225888 (LWP 3559)):
#0  0x00000030f68088da in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x00000030fed1c561 in e_msgport_wait ()
   from /usr/lib64/evolution/2.0/libeutil.so.0
No symbol table info available.
#2  0x00000030fed1cc48 in e_thread_busy ()
   from /usr/lib64/evolution/2.0/libeutil.so.0
No symbol table info available.
#3  0x00000030f6805f81 in start_thread () from
/lib64/tls/libpthread.so.0
No symbol table info available.
#4  0x00000030f55c2eb3 in thread_start () from /lib64/tls/libc.so.6
No symbol table info available.
#5  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 6 (Thread 1105197408 (LWP 3561)):
#0  0x00000030f68088da in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x00000030fed1c561 in e_msgport_wait ()
   from /usr/lib64/evolution/2.0/libeutil.so.0
No symbol table info available.
#2  0x00000030fed1cc48 in e_thread_busy ()
   from /usr/lib64/evolution/2.0/libeutil.so.0
No symbol table info available.
#3  0x00000030f6805f81 in start_thread () from
/lib64/tls/libpthread.so.0
No symbol table info available.
#4  0x00000030f55c2eb3 in thread_start () from /lib64/tls/libc.so.6
No symbol table info available.
#5  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 5 (Thread 1115683168 (LWP 3562)):
#0  0x00000030f68088da in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x00000030fed1c561 in e_msgport_wait ()
   from /usr/lib64/evolution/2.0/libeutil.so.0
No symbol table info available.
#2  0x00000030fed1cc48 in e_thread_busy ()
   from /usr/lib64/evolution/2.0/libeutil.so.0
No symbol table info available.
#3  0x00000030f6805f81 in start_thread () from
/lib64/tls/libpthread.so.0
No symbol table info available.
#4  0x00000030f55c2eb3 in thread_start () from /lib64/tls/libc.so.6
No symbol table info available.
#5  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 4 (Thread 1126168928 (LWP 3564)):
#0  0x00000030f68088da in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x00000030fed1c561 in e_msgport_wait ()
   from /usr/lib64/evolution/2.0/libeutil.so.0
No symbol table info available.
#2  0x00000030fed1cc48 in e_thread_busy ()
   from /usr/lib64/evolution/2.0/libeutil.so.0
No symbol table info available.
#3  0x00000030f6805f81 in start_thread () from
/lib64/tls/libpthread.so.0
No symbol table info available.
#4  0x00000030f55c2eb3 in thread_start () from /lib64/tls/libc.so.6
No symbol table info available.
#5  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 3 (Thread 1094711648 (LWP 3571)):
#0  0x00000030f680ad7b in __lll_mutex_lock_wait ()
   from /lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 1136654688 (LWP 3574)):
#0  0x00000030f68088da in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x00000030fed1c561 in e_msgport_wait ()
   from /usr/lib64/evolution/2.0/libeutil.so.0
No symbol table info available.
#2  0x0000002a98e63599 in mail_call_main ()
   from /usr/lib64/evolution/2.0/components/libevolution-mail.so
No symbol table info available.
#3  0x000000310013c991 in camel_folder_change_info_cat ()
   from /usr/lib64/evolution/2.0/libcamel.so.0
No symbol table info available.
#4  0x000000310015b24a in camel_object_trigger_event ()
   from /usr/lib64/evolution/2.0/libcamel.so.0
No symbol table info available.
#5  0x000000310013cedd in camel_folder_change_info_free ()
   from /usr/lib64/evolution/2.0/libcamel.so.0
No symbol table info available.
#6  0x0000002a9972a818 in camel_exchange_store_get_type ()
   from /usr/lib64/evolution/2.0/camel-providers/libcamelexchange.so
No symbol table info available.
#7  0x000000310015b2bc in camel_object_trigger_event ()
   from /usr/lib64/evolution/2.0/libcamel.so.0
No symbol table info available.
#8  0x0000002a9972c233 in camel_stub_get_type ()
   from /usr/lib64/evolution/2.0/camel-providers/libcamelexchange.so
No symbol table info available.
#9  0x00000030f6805f81 in start_thread () from
/lib64/tls/libpthread.so.0
No symbol table info available.
#10 0x00000030f55c2eb3 in thread_start () from /lib64/tls/libc.so.6
No symbol table info available.
#11 0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 182894220096 (LWP 3553)):
#0  0x00000030f680bf7a in waitpid () from /lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x00000030fa658c14 in libgnomeui_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x00000030f55ba222 in poll () from /lib64/tls/libc.so.6
No symbol table info available.
#4  0x00000030f62280ee in g_main_context_acquire ()
   from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x00000030f62285f5 in g_main_loop_run () from
/usr/lib64/libglib-2.0.so.0
No symbol table info available.
#6  0x00000030fc32da7b in bonobo_main () from
/usr/lib64/libbonobo-2.so.0
No symbol table info available.
#7  0x000000000041c1ab in main ()
No symbol table info available.
Comment 1 Bevis King 2004-10-15 05:20:40 EDT
Copied from the Ximian Bug report:
------- Additional Comments From Sarfraaz Ahmed 2004-10-15 02:40 -------

This looks very much similar to 66342. 

Can you upgrade to evolution/connector 2.0.2 and see if this works [
the fix for 66342 was on libsoup, which you should be getting by
upgrading to eov 2.0.2 ]

------------
I will endeavour to do this today and update the bugs accordingly.

Regards, Bevis.



Comment 2 Bevis King 2004-10-15 10:34:25 EDT
I've done the upgrade - found the appropriate versions were already on
rawhide.  Thus far I cannot pursuade Connector to talk to Exchange at
all - it fails with an Authentication failure.  I've checked via OWA
(Webmail) and the password I'm using is correct.
Comment 3 Bevis King 2004-10-15 11:20:57 EDT
Update - leave it a while and suddenly it's decided it can connect to
Exchange.  As soon as it finished scanning all the folders, it dumped
core again.  The diagnostics produced say:

camel-WARNING **: Trying to check junk data is OBJECT 'CamelObject'
camel-CRITICAL **: file camel-object.c: line 951 (camel_object_cast):
assertion 'check_magic(o, type, TRUE)' failed

This is with:
    evolution 2.0.2
    evolution-connector 2.0.2
    libsoup-2.2.1 and libsoup-2.2.0 installed
    (libsoup-2.2.0 seems to only be there for evolution-data-server)

Regards, Bevis.
Comment 4 Bevis King 2004-10-19 05:56:49 EDT
More updates on the Ximian Bugzilla:
http://bugzilla.ximian.com/show_bug.cgi?id=68358

Regards, Bevis.
Comment 5 Bevis King 2004-11-11 09:03:00 EST
This bug still exists in production Fedora Core 3 HOWEVER:

THIS IS A x86_64 PLATFORM ISSUE.

On a 32-bit x86 system, the shipped production release 2.0.2 works
just fine with exactly the same settings from exactly the same home
directory.  On the x86_64 machine, the problems still occur.

Regards, Bevis.
Comment 6 Matthew Miller 2006-07-10 16:27:54 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 John Thacker 2006-10-30 10:19:34 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against a much earlier version of Fedora Core, and significant
changes have taken place since the last version for which this bug is confirmed.
 It has remained in NEEDINFO status for quite a long period of time, asking for
confirmation on a more recent (still fully supported) version of Fedora Core.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.
Comment 8 Bevis King 2006-10-30 10:40:35 EST
OK, this issue was resolved based upon it's gnome.org bugzilla entry.
http://bugzilla.gnome.org/show_bug.cgi?id=268358

This problem no longer exists in the current version on FC5.

Note You need to log in before you can comment on or make changes to this bug.